Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.dsp.management.beans
Enum EndPointConfig.EndPointType

    java.lang.Object
      java.lang.Enum<EndPointConfig.EndPointType>
          com.bea.dsp.management.beans.EndPointConfig.EndPointType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EndPointConfig.EndPointType>

Enclosing class:
  EndPointConfig

    public static enum EndPointConfig.EndPointType

extends java.lang.Enum<EndPointConfig.EndPointType>

Enum Constant Summary
`RELATIONAL_FUNCTION`
`SQL_QUERY`
`STORED_PROCEDURE`
`TABLE`
`VIEW`
`WEBSERVICE_OPERATION`

Method Summary
`static EndPointConfig.EndPointType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EndPointConfig.EndPointType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TABLE

    public static final EndPointConfig.EndPointType TABLE

### VIEW

    public static final EndPointConfig.EndPointType VIEW

### STORED_PROCEDURE

    public static final EndPointConfig.EndPointType STORED_PROCEDURE

### RELATIONAL_FUNCTION

    public static final EndPointConfig.EndPointType RELATIONAL_FUNCTION

### SQL_QUERY

    public static final EndPointConfig.EndPointType SQL_QUERY

### WEBSERVICE_OPERATION

    public static final EndPointConfig.EndPointType WEBSERVICE_OPERATION

Method Detail

### values

    public static EndPointConfig.EndPointType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EndPointConfig.EndPointType c : EndPointConfig.EndPointType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EndPointConfig.EndPointType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Oracle. All Rights Reserved.